
if ( !( "gtfw_exec_code" in getroottable() ) ) {
	::TF_CUSTOM_WEAPONS_REGISTRY <- {};

	PrecacheModel("models/weapons/c_models/c_engineer_gunslinger.mdl");
	PrecacheModel("models/mvm/weapons/c_models/c_engineer_bot_gunslinger.mdl");
	::gtfw_worldspawn <- Entities.First();

	printl("Executing give_tf_weapon for the first time");
}


gtfw_exec_code <- [
//first batch necessary to run second batch
"_tables",
"_util",
"CreateCustomWearable()",
"GetWeaponTable()",
"SwitchToBest()",

//second batch
"GiveWeapon()",
"GetWeapon()",
"DeleteWeapon()",
"SetCustomClassArms()",
"TFClassAnimationsFix",
"WriteTableToWeaponScope()",

//third batch
"AnnounceWeapon()",
"CustomWeaponRegistration",
"Loadouts",
"toggleWeaponByAmmo",

//end
"zz_BotFix"
]

foreach ( file in gtfw_exec_code )
{
	IncludeScript( "give_tf_weapon/" + file + ".nut" );
	printl( "g_tf_w Executing " + file )
}